Subject: bug#68391: closed (Re: [bug#68391] Small description adjustment)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 17 Jan 2024 10:07:02 +0000

Your bug report

#68391: [PATCH 0/3] Add python-pandera

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
68391: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=68391
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#68391] Small description adjustment
From: Mathieu Othacehe <[email-masked]>
To: Troy Figiel <[email-masked]>
Cc: [email-masked]
Date: Wed, 17 Jan 2024 11:05:58 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hey,

> I just noticed there is a single `pandas' I did not rewrite as
> `@code{python-pandas}' in the description of `python-pandas-stubs'. If
> the patches look good as they are, I kindly ask a committer to make that
> small adjustment before applying them, as to keep the look of the
> description uniform.

Fixed that and a typo in the first patch before applying,

Thanks,

Mathieu

Subject: [PATCH 0/3] Add python-pandera
From: Troy Figiel <[email-masked]>
To: [email-masked]
Date: Thu, 11 Jan 2024 22:35:11 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

This patch series adds python-pandera and its dependencies.

Unfortunately, directly upgrading python-typeguard to a more recent
version breaks a variety of packages (it has 300+ dependents). For that
reason, python-typeguard-4 has been introduced.

Troy Figiel (3):
  gnu: Add python-typeguard-4.
  gnu: Add python-pandas-stubs.
  gnu: Add python-pandera.

 gnu/packages/python-science.scm | 133 ++++++++++++++++++++++++++++++++
 gnu/packages/python-xyz.scm     |  18 +++++
 2 files changed, 151 insertions(+)

base-commit: 637b72e2b83a6332849218ef1f193124fa8239eb
-- 
2.42.0